package com.yunzhi.marketing.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.marketing.entity.TaShareActivity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 拼团活动表  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
@Mapper
public interface TaShareActivityMapper extends BaseMapper<TaShareActivity> {
    TaShareActivity selectTaShareActivityById(@Param("activityId")Integer activityId);

    void updateActivityToUnStart();

    void updateUnStartGroupActivity();

    void updateProcessGroupActivity();

    Integer calParticipateNum(@Param("groupActivityId") Integer groupActivityId);
}
